Loading...
Searching...
No Matches
casacore::TabVecMath_global_functions_basicTransMath Struct Reference
tables package (libcasa_tables) » Tables_module

Transcendental math for table vectors. More...

`#include <TabVecMath.h>`

## Public Member Functions

template<class T>
TableVector< T > | cos (const TableVector< T > &)
template<class T>
TableVector< T > | cosh (const TableVector< T > &)
template<class T>
TableVector< T > | exp (const TableVector< T > &)
template<class T>
TableVector< T > | log (const TableVector< T > &)
template<class T>
TableVector< T > | log10 (const TableVector< T > &)
template<class T>
TableVector< T > | pow (const TableVector< T > &value, const TableVector< T > &exponent)
template<class T>
TableVector< T > | sin (const TableVector< T > &)
template<class T>
TableVector< T > | sinh (const TableVector< T > &)
template<class T>
TableVector< T > | sqrt (const TableVector< T > &)

## Detailed Description

Transcendental math for table vectors.

### Intended use:

Public interface

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Synopsis

These global functions do the transcendental math for table vectors for essentially all numeric types. The functions are sin, sinh, exp, log, pow, etc.. In case two table vectors are used, the left and right operand must be conformant (i.e. have equal length).

Definition at line 164 of file TabVecMath.h.

## Member Function Documentation

## cos()

template<class T>

TableVector< T > casacore::TabVecMath_global_functions_basicTransMath::cos | ( | const TableVector< T > & |  | ) |

inline

## cosh()

template<class T>

TableVector< T > casacore::TabVecMath_global_functions_basicTransMath::cosh | ( | const TableVector< T > & |  | ) |

inline

## exp()

template<class T>

TableVector< T > casacore::TabVecMath_global_functions_basicTransMath::exp | ( | const TableVector< T > & |  | ) |

inline

## log()

template<class T>

TableVector< T > casacore::TabVecMath_global_functions_basicTransMath::log | ( | const TableVector< T > & |  | ) |

inline

## log10()

template<class T>

TableVector< T > casacore::TabVecMath_global_functions_basicTransMath::log10 | ( | const TableVector< T > & |  | ) |

inline

## pow()

template<class T>

TableVector< T > casacore::TabVecMath_global_functions_basicTransMath::pow | ( | const TableVector< T > & | value,
|  | const TableVector< T > & | exponent )

inline

References casacore::NewDelAllocator< T >::value.

## sin()

template<class T>

TableVector< T > casacore::TabVecMath_global_functions_basicTransMath::sin | ( | const TableVector< T > & |  | ) |

inline

## sinh()

template<class T>

TableVector< T > casacore::TabVecMath_global_functions_basicTransMath::sinh | ( | const TableVector< T > & |  | ) |

inline

## sqrt()

template<class T>

TableVector< T > casacore::TabVecMath_global_functions_basicTransMath::sqrt | ( | const TableVector< T > & |  | ) |

inline

The documentation for this struct was generated from the following file:

- tables/Tables/TabVecMath.h